Bug 235388 - crash in symbol viewer plugin in config dialog
Summary: crash in symbol viewer plugin in config dialog
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: VHI crash (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-25 21:19 UTC by Marco Righi
Modified: 2011-08-11 13:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Righi 2010-04-25 21:19:49 UTC
Application that crashed: kate
Version of the application: 3.3.4
KDE Version: 4.3.4 (KDE 4.3.4)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-trunk-686-bigmem i686
Distribution: Debian GNU/Linux testing-proposed-updates (sid)

What I was doing when the application crashed:
The cursor was over a parenthesis and I try to change the hilight color of the text between () by kate config menu - I wa editing an ml file

 -- Backtrace:
Application: Kate (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb570f700 (LWP 16535))]

Thread 2 (Thread 0xb1377b70 (LWP 16538)):
#0  0xb78c7424 in __kernel_vsyscall ()
#1  0xb5f6e0a5 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0xb605980d in __pthread_cond_wait (cond=0xb15dce0c, mutex=0xb15dcdf4) at forward.c:139
#3  0xb14ff597 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0xb15d7d20) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#4  0xb14ff5e1 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0xb15d7d20) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#5  0xb5f6a585 in start_thread (arg=0xb1377b70) at pthread_create.c:300
#6  0xb604c29e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb570f700 (LWP 16535)):
[KCrash Handler]
#6  QTreeWidget::d_func (this=0x6) at itemviews/qtreewidget.h:370
#7  QTreeWidget::clear (this=0x6) at itemviews/qtreewidget.cpp:3261
#8  0xaf2b4479 in ?? () from /usr/lib/kde4/katesymbolviewerplugin.so
#9  0xaf2b4840 in ?? () from /usr/lib/kde4/katesymbolviewerplugin.so
#10 0xaf2b49ad in ?? () from /usr/lib/kde4/katesymbolviewerplugin.so
#11 0xb7780aea in QMetaObject::metacall (object=0x9f5bf20, cl=3076545784, idx=166287216, argv=0xbfde0918) at kernel/qmetaobject.cpp:237
#12 0xb778f0b5 in QMetaObject::activate (sender=0xa6acf88, m=0xaf2ba1c0, local_signal_index=0, argv=0xbfde0aa8) at kernel/qobject.cpp:3293
#13 0xaf2b2153 in ?? () from /usr/lib/kde4/katesymbolviewerplugin.so
#14 0xaf2b2175 in ?? () from /usr/lib/kde4/katesymbolviewerplugin.so
#15 0xb38880a8 in ?? () from /usr/lib/libkateinterfaces.so.4
#16 0xb38885e3 in ?? () from /usr/lib/libkateinterfaces.so.4
#17 0xb7780aea in QMetaObject::metacall (object=0xa698740, cl=3076545784, idx=174688064, argv=0xbfde0b0c) at kernel/qmetaobject.cpp:237
#18 0xb778f0b5 in QMetaObject::activate (sender=0xa698740, m=0xb6fcf664, local_signal_index=7, argv=0x0) at kernel/qobject.cpp:3293
#19 0xb6d8b9e7 in KDialog::applyClicked (this=0xa698740) at ./kdialog.moc:240
#20 0xb6d8e05a in KDialog::slotButtonClicked (this=0xa698740, button=8) at ../../kdeui/dialogs/kdialog.cpp:857
#21 0xb6d906b9 in KDialog::qt_metacall (this=0xa698740, _c=QMetaObject::InvokeMetaMethod, _id=33, _a=0xbfde0ec8) at ./kdialog.moc:184
#22 0xb6e5764a in KPageDialog::qt_metacall (this=0xa698740, _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0xbfde0ec8) at ./kpagedialog.moc:64
#23 0xb388858a in ?? () from /usr/lib/libkateinterfaces.so.4
#24 0xb7780aea in QMetaObject::metacall (object=0xa698740, cl=3076545784, idx=0, argv=0xa698740) at kernel/qmetaobject.cpp:237
#25 0xb778f0b5 in QMetaObject::activate (sender=0xa694970, m=0xb788d258, local_signal_index=0, argv=0xbfde0ec8) at kernel/qobject.cpp:3293
#26 0xb7794843 in QSignalMapper::mapped (this=0xa694970, _t1=8) at .moc/release-shared/moc_qsignalmapper.cpp:101
#27 0xb7795abd in QSignalMapper::map (this=0xa694970, sender=0xa69ec78) at kernel/qsignalmapper.cpp:266
#28 0xb7795c9e in QSignalMapper::map (this=0xa694970) at kernel/qsignalmapper.cpp:257
#29 0xb7795d6b in QSignalMapper::qt_metacall (this=0xa694970, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfde1068) at .moc/release-shared/moc_qsignalmapper.cpp:87
#30 0xb7780aea in QMetaObject::metacall (object=0xa694970, cl=3076545784, idx=8, argv=0xbfde1068) at kernel/qmetaobject.cpp:237
#31 0xb778f0b5 in QMetaObject::activate (sender=0xa69ec78, m=0xb6c44584, local_signal_index=2, argv=0xbfde1068) at kernel/qobject.cpp:3293
#32 0xb6a35279 in QAbstractButton::clicked (this=0xa69ec78, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#33 0xb6714369 in QAbstractButtonPrivate::emitClicked (this=0xa69f148) at widgets/qabstractbutton.cpp:546
#34 0xb67151b4 in QAbstractButtonPrivate::click (this=0xa69f148) at widgets/qabstractbutton.cpp:539
#35 0xb671546e in QAbstractButton::mouseReleaseEvent (this=0xa69ec78, e=0xbfde1864) at widgets/qabstractbutton.cpp:1121
#36 0xb636be78 in QWidget::event (this=0xa69ec78, event=0xbfde1864) at kernel/qwidget.cpp:7998
#37 0xb671420e in QAbstractButton::event (this=0xa69ec78, e=0x0) at widgets/qabstractbutton.cpp:1080
#38 0xb67be712 in QPushButton::event (this=0xa69ec78, e=0xbfde1864) at widgets/qpushbutton.cpp:679
#39 0xb630dbec in QApplicationPrivate::notify_helper (this=0x94cdae8, receiver=0xa69ec78, e=0xbfde1864) at kernel/qapplication.cpp:4300
#40 0xb63150f7 in QApplication::notify (this=0xbfde329c, receiver=0xa69ec78, e=0xbfde1864) at kernel/qapplication.cpp:3865
#41 0xb6e26e2a in KApplication::notify (this=0xbfde329c, receiver=0xa69ec78, event=0xbfde1864) at ../../kdeui/kernel/kapplication.cpp:302
#42 0xb777b8eb in QCoreApplication::notifyInternal (this=0xbfde329c, receiver=0xa69ec78, event=0xbfde1864) at kernel/qcoreapplication.cpp:704
#43 0xb6314052 in QCoreApplication::sendEvent (receiver=0xa69ec78, event=0xbfde1864, alienWidget=0xa69ec78, nativeWidget=0xa698740, buttonDown=0xb6c52918, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#44 QApplicationPrivate::sendMouseEvent (receiver=0xa69ec78, event=0xbfde1864, alienWidget=0xa69ec78, nativeWidget=0xa698740, buttonDown=0xb6c52918, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#45 0xb639f09c in QETWidget::translateMouseEvent (this=0xa698740, event=0xbfde1cb0) at kernel/qapplication_x11.cpp:4368
#46 0xb639e5ab in QApplication::x11ProcessEvent (this=0xbfde329c, event=0xbfde1cb0) at kernel/qapplication_x11.cpp:3379
#47 0xb63cc6f2 in x11EventSourceDispatch (s=0x94d0ae8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#48 0xb5eaf2e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#49 0xb5eb3000 in ?? () from /lib/libglib-2.0.so.0
#50 0xb5eb3198 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#51 0xb77a72f5 in QEventDispatcherGlib::processEvents (this=0x945e228, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#52 0xb63cc255 in QGuiEventDispatcherGlib::processEvents (this=0x945e228, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#53 0xb7779f09 in QEventLoop::processEvents (this=0xbfde1fa0, flags=) at kernel/qeventloop.cpp:149
#54 0xb777a35a in QEventLoop::exec (this=0xbfde1fa0, flags=...) at kernel/qeventloop.cpp:201
#55 0xb6848d83 in QDialog::exec (this=0xa698740) at dialogs/qdialog.cpp:546
#56 0xb389c0e3 in ?? () from /usr/lib/libkateinterfaces.so.4
#57 0xb38a5b97 in ?? () from /usr/lib/libkateinterfaces.so.4
#58 0xb7780aea in QMetaObject::metacall (object=0x9d08b48, cl=3076545784, idx=164662088, argv=0xa698740) at kernel/qmetaobject.cpp:237
#59 0xb778f0b5 in QMetaObject::activate (sender=0x9e7c000, m=0xb6c31a18, local_signal_index=1, argv=0xbfde2138) at kernel/qobject.cpp:3293
#60 0xb63072e9 in QAction::triggered (this=0x9e7c000, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#61 0xb63094dc in QAction::activate (this=0x9e7c000, event=QAction::Trigger) at kernel/qaction.cpp:1255
#62 0xb67a8b2c in QMenuPrivate::activateCausedStack (this=0x9d11598, causedStack=..., action=0x9e7c000, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1011
#63 0xb67aefdb in QMenuPrivate::activateAction (this=0x9d11598, action=0x9e7c000, action_e=QAction::Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1103
#64 0xb67affe7 in QMenu::mouseReleaseEvent (this=0x9d11578, e=0xbfde2a94) at widgets/qmenu.cpp:2312
#65 0xb6f0f8d5 in KMenu::mouseReleaseEvent (this=0x9d11578, e=0xbfde2a94) at ../../kdeui/widgets/kmenu.cpp:456
#66 0xb636be78 in QWidget::event (this=0x9d11578, event=0xbfde2a94) at kernel/qwidget.cpp:7998
#67 0xb67b15ec in QMenu::event (this=0x9d11578, e=0xbfde2a94) at widgets/qmenu.cpp:2414
#68 0xb630dbec in QApplicationPrivate::notify_helper (this=0x94cdae8, receiver=0x9d11578, e=0xbfde2a94) at kernel/qapplication.cpp:4300
#69 0xb63150f7 in QApplication::notify (this=0xbfde329c, receiver=0x9d11578, e=0xbfde2a94) at kernel/qapplication.cpp:3865
#70 0xb6e26e2a in KApplication::notify (this=0xbfde329c, receiver=0x9d11578, event=0xbfde2a94) at ../../kdeui/kernel/kapplication.cpp:302
#71 0xb777b8eb in QCoreApplication::notifyInternal (this=0xbfde329c, receiver=0x9d11578, event=0xbfde2a94) at kernel/qcoreapplication.cpp:704
#72 0xb6314052 in QCoreApplication::sendEvent (receiver=0x9d11578, event=0xbfde2a94, alienWidget=0x0, nativeWidget=0x9d11578, buttonDown=0xb6c52918, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#73 QApplicationPrivate::sendMouseEvent (receiver=0x9d11578, event=0xbfde2a94, alienWidget=0x0, nativeWidget=0x9d11578, buttonDown=0xb6c52918, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#74 0xb639f5b8 in QETWidget::translateMouseEvent (this=0x9d11578, event=0xbfde2ee0) at kernel/qapplication_x11.cpp:4302
#75 0xb639e5ab in QApplication::x11ProcessEvent (this=0xbfde329c, event=0xbfde2ee0) at kernel/qapplication_x11.cpp:3379
#76 0xb63cc6f2 in x11EventSourceDispatch (s=0x94d0ae8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#77 0xb5eaf2e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#78 0xb5eb3000 in ?? () from /lib/libglib-2.0.so.0
#79 0xb5eb3198 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#80 0xb77a72f5 in QEventDispatcherGlib::processEvents (this=0x945e228, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#81 0xb63cc255 in QGuiEventDispatcherGlib::processEvents (this=0x945e228, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#82 0xb7779f09 in QEventLoop::processEvents (this=0xbfde31d4, flags=) at kernel/qeventloop.cpp:149
#83 0xb777a35a in QEventLoop::exec (this=0xbfde31d4, flags=...) at kernel/qeventloop.cpp:201
#84 0xb777e4ef in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#85 0xb630dc87 in QApplication::exec () at kernel/qapplication.cpp:3579
#86 0xb53d4acd in kdemain () from /usr/lib/libkdeinit4_kate.so
#87 0x0804de39 in launch (argc=<value optimized out>, _name=<value optimized out>, args=<value optimized out>, cwd=0x0, envc=1, envs=0x94961ce "DISPLAY=:0.0", reset_env=false, tty=0x0, 
    avoid_loops=false, startup_id_str=0x94961df "luce;1272060034;380129;4769_TIME14020145") at ../../kinit/kinit.cpp:677
#88 0x0804e9ad in handle_launcher_request (sock=<value optimized out>, who=<value optimized out>) at ../../kinit/kinit.cpp:1169
#89 0x0804ee44 in handle_requests (waitForPid=<value optimized out>) at ../../kinit/kinit.cpp:1362
#90 0x0804f657 in main (argc=2, argv=0xbfde3f34, envp=0xbfde3f40) at ../../kinit/kinit.cpp:1793

Reported using DrKonqi
Comment 1 Christoph Cullmann 2011-08-11 12:36:32 UTC
Thanks, good catch, fixed in git now.
Comment 2 Christoph Cullmann 2011-08-11 13:18:43 UTC
Git commit cdd218a11a59bc6878f5c38c3d77229105288db9 by Christoph Cullmann.
Committed on 11/08/2011 at 14:35.
Pushed by cullmann into branch 'master'.

fix crash with symbolsviewer if multiple main windows are used
it crashed after closing a main window and then reconfiguring it
BUG: 235388

M  +2    -1    kate/plugins/symbolviewer/plugin_katesymbolviewer.h
M  +5    -3    kate/plugins/symbolviewer/plugin_katesymbolviewer.cpp

http://commits.kde.org/kate/cdd218a11a59bc6878f5c38c3d77229105288db9
Comment 3 Christoph Cullmann 2011-08-11 13:20:27 UTC
Git commit 3944a35ce0d1eb63d04d9079ed31f228724bdfc5 by Christoph Cullmann.
Committed on 11/08/2011 at 14:35.
Pushed by cullmann into branch 'KDE/4.7'.

fix crash with symbolsviewer if multiple main windows are used
it crashed after closing a main window and then reconfiguring it
BUG: 235388

M  +2    -1    kate/plugins/symbolviewer/plugin_katesymbolviewer.h
M  +5    -3    kate/plugins/symbolviewer/plugin_katesymbolviewer.cpp

http://commits.kde.org/kate/3944a35ce0d1eb63d04d9079ed31f228724bdfc5